Skip to content

Create a shipment, service point shipment or return shipment

POST
/v1/orders

Request Body required

One of:
CreateShipmentRequest

CreateShipmentRequest, Note: None of the parcel data is required, however an empty object needs to be passed to the array as a minimum.

object
productId
string
Allowed values: home express c2c-home
sender

Address object for sender

object
name
required
string
<= 55 characters
address
required
string
<= 40 characters
co
string
<= 30 characters
zip
required
string
<= 7 characters
city
required
string
<= 20 characters
email
string format: email
<= 64 characters
phone
string
<= 15 characters
country
required
string
reference
string
<= 50 characters
contact
string
receiver
One of:
AddressWithRequiredEmail

Address object where ‘email’ is required. Either ‘email’ or ‘phone’ must be provided.

object
name
required

Full name of the receiver.

string
<= 55 characters
address
required

Street address of the receiver.

string
<= 40 characters
co

Care of (c/o) information if applicable.

string
<= 30 characters
zip
required

Zip code of the receiver’s address.

string
<= 7 characters
city
required

City of the receiver’s address.

string
<= 20 characters
email
required

Email address of the receiver. Required if ‘phone’ is not provided.

string format: email
<= 64 characters
phone

Phone number of the receiver. Optional if ‘email’ is provided.

string
<= 15 characters
country
required

Country of the receiver.

string
reference

Reference information for the receiver.

string
<= 50 characters
contact

Additional contact details.

string
parcels
Array<object>
>= 1 items
object
desc
string
nullable
weight

The weight of the shipment in grams

integer
nullable
volume

The volume of the package, in cubic centimeters

integer
nullable
width

As meassured in millimeter

integer
nullable
height

As meassured in millimeter

integer
nullable
length

As meassured in millimeter

integer
nullable
packingInformation
string
nullable <= 50 characters
value
integer
nullable
orderId
string
nullable <= 50 characters
customerId

In case your credentials allow you to book for multiple customers, specify the customer id here.

string
nullable <= 10 characters
attributes
object
key
additional properties
One of:
boolean
deliveryDay

Suggested day for delivery or in the case of c2c-home the pickup day

string format: date
nullable
pickupDay

Day of pickup, for c2c-home only. If set, must be valid date, check valid dates using check/pickupdays endpoint.

string format: date
shippingAt

Array of date strings in RFC3339 format, when the shipment can be shipped. For products home, express.

Array<string>
nullable

Responses

200

Booking reply with the details of the shipment

BookingReply

object
orderId
required
string
trackingCode
required
string
deliveries
required
Array<object>

Delivery

object
deliveryId
required
string
productId
required

ProductId

string
Allowed values: express home return c2c-home postnord.mypack postnord.varubrev box.delivery
trackingId
required
string
deliveryDay
string format: date
nullable
returnCode
string
nullable
attributes
object
key
additional properties
One of:
string
latestDeliveryDate
string format: date
nullable
earliestDeliveryDate
string format: date
nullable
label
string
nullable
senderTrackingUrl

URL to Early Bird’s tracking for the sender. Available for products which have a pickup, for example return and c2c-home.

string format: uri
nullable
receiverTrackingUrl

URL to Early Bird’s tracking for the receiver. Available for products which have a delivery, for example home and c2c-home.

string format: uri
nullable
estimatedDeliveryDates

Array of date strings of estimated day of delivery, one date if possible, or multiple if exact date can not be determined. If applicable for the product and shippingAt is provided.

Array<string>
nullable

400

Client or Validation Error

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

401

The request does not have valid authentication credentials for the operation

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

403

The client does not have access rights to the content

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

405

The requested method is not supported

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable

500

An unexpected error occurred on the server

object
statusCode
integer
errorKey
string
nullable
errorMap
object
key
additional properties
string
errorTrackingNr
string
nullable
errorMessage
string
nullable